Bug 1272983 - Unable to update compute profiles for rhevm
Unable to update compute profiles for rhevm
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV (Show other bugs)
6.1.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Kedar Bidarkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 07:16 EDT by Kedar Bidarkar
Modified: 2017-01-12 14:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 14:10:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2015-10-19 07:16:17 EDT
Description of problem:

Unable to update the compute profiles for rhevm after upgrading to fog-32 version rpms.


2015-10-19 07:06:54 [I]   Rendered compute_resources_vms/form/ovirt/_network.html.erb (153.6ms)
2015-10-19 07:06:54 [I]   Rendered compute_resources_vms/form/ovirt/_network.html.erb (1.2ms)
2015-10-19 07:06:54 [I]   Rendered compute_resources_vms/form/_ovirt.html.erb (7472.1ms)
2015-10-19 07:06:54 [I]   Rendered compute_attributes/_form.html.erb (10424.6ms)
2015-10-19 07:06:54 [I]   Rendered compute_attributes/new.html.erb (10437.9ms)
2015-10-19 07:06:54 [W] Operation FAILED: undefined method `_delete' for nil:NilClass
2015-10-19 07:06:54 [I]   Rendered common/500.html.erb (10.5ms)
2015-10-19 07:06:54 [I] Completed 500 Internal Server Error in 10499ms (Views: 11.8ms | ActiveRecord: 5.3ms)


Version-Release number of selected component (if applicable):

sat6.1.3+ fog-32 rpms


How reproducible:


Steps to Reproduce:
1. Create a new rhevm compute resource
2. Add image with valid values
3. Try updating a compute profile to encounter this issue (both custom and default)

Actual results:
Unable to update the compute profiles for rhevm after upgrading to fog-32 version rpms.

Expected results:
Updating the compute profiles for rhevm after upgrading to fog-32 version rpms should be possible.

Additional info:
Comment 2 Brad Buckingham 2015-10-20 13:12:51 EDT
Kedar, is this with the newer version of fog?
Comment 3 Kedar Bidarkar 2015-10-28 06:11:47 EDT
Yes, this is with sat6.1.3 compose4 + fog-32 rpms


ruby193-rubygem-fog-xml-0.1.2-1.el7.noarch
ruby193-rubygem-fog-1.32.0-1.el7.noarch
ruby193-rubygem-fog-softlayer-0.3.9-1.el7.noarch
ruby193-rubygem-fog-sakuracloud-0.1.1-1.el7.noarch
ruby193-rubygem-fog-aws-0.7.2-1.el7.noarch
ruby193-rubygem-fog-json-1.0.0-2.1.el7.noarch
ruby193-rubygem-fog-brightbox-0.0.1-2.el7sat.noarch
ruby193-rubygem-fog-google-0.0.7-1.el7.noarch
ruby193-rubygem-fog-core-1.32.0-1.el7.noarch
ruby193-rubygem-fog-radosgw-0.0.3-1.el7.noarch
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:39:35 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2017-01-12 14:10:37 EST
This is an older bug which I do not envision being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.